package controller

import (
	"blazing/common/socket/errorcode"

	"blazing/logic/service/player"
	"blazing/logic/service/room"
)

// 获取基地物品
func (h Controller) OnFitmentUsering(data *room.FitmentUseringInboundInfo, c *player.Player) (result *room.FitmentUseringOutboundInfo, err errorcode.ErrorCode) {

	result = &room.FitmentUseringOutboundInfo{UserId: c.Info.UserID, RoomId: data.TargetUserID}
	result.Fitments = make([]room.FitmentShowInfo, 0)
	result.Fitments = append(result.Fitments, room.FitmentShowInfo{Id: 500001, Status: 1, X: 1, Y: 1, Dir: 1})

	return
}

// 获取基地展示精灵
func (h Controller) OnGetRoomPetShowInfo(data *room.PetRoomListInboundInfo, c *player.Player) (result *room.PetRoomListOutboundInfo, err errorcode.ErrorCode) {
	result = &room.PetRoomListOutboundInfo{}
	result.Pets = make([]room.PetShowInfo, 0)
	return
}

// 获取自己房间的家具
func (h Controller) OnGetFitmentAll(data *room.FitmentAllInboundEmpty, c *player.Player) (result *room.FitmentAllOutboundInfo, err errorcode.ErrorCode) {
	result = &room.FitmentAllOutboundInfo{}
	result.Fitments = make([]room.FitmentItemInfo, 0)

	return
}
